def checkEAN(s):
    summe = 0
    i = 0
    for j in range (6):
        summe+=int(s[i])
        summe+=3*int(s[i+1])
        i+=2
    p = (10 - summe %10)%10
    return str(p)

s = str(input("Gib eine 13-stellige EAN ein"))

p = checkEAN(s)

print "EAN-Code    =", s
print "Prüfziffer (13. Stelle) =", int(s[12])
print "Berechnete Prüfziffer   =", p

if p == s[12]:
    print ("Der EAN-Code ist korrekt")
else:
    print ("Der EAN-Code ist falsch")



